Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 2.5.0b5

Bug #18886 Deprecated code generates warnings
Submitted: 2011-09-29 22:27 UTC Modified: 2011-09-30 16:40 UTC
From: astembridge Assigned: astembridge
Status: Closed Package: MDB2 (version 2.5.0b2)
PHP Version: 5.3.1 OS: Ubuntu 10.10
Roadmaps: 2.5.0b4    
Subscription  


 [2011-09-29 22:27 UTC] astembridge (Adrya Stembridge)
Description: ------------ I was advised to upgrade to this beta version of MDB2 to address multiple deprecation errors in the current stable release. After uninstalling MDB2 (stable), I installed MDB2 2.5.0b3 without error. This version of MDB2 continues to generate deprecation errors (though not as many as in the stable version). Test script: --------------- $dsn_site = "$driver://$dbuser:$dbpass@$dbhost/$db"; $mdb2_options = array( 'debug' => 2, 'portability' => MDB2_PORTABILITY_NONE, ); $dbx_pear = MDB2::factory($dsn_gor, $mdb2_options); Expected result: ---------------- No warnings. Actual result: -------------- Deprecated: Assigning the return value of new by reference is deprecated in /usr/share/php/MDB2.php on line 393 Deprecated: Assigning the return value of new by reference is deprecated in /usr/share/php/MDB2.php on line 2647

Comments

 [2011-09-30 03:21 UTC] doconnor (Daniel O'Connor)
This sounds exactly like Bug #18050 Can I get you to double check you are on 2.5.0b3? $ pear list | grep MDB2
 [2011-09-30 03:22 UTC] doconnor (Daniel O'Connor)
-Status: Open +Status: Feedback
 [2011-09-30 16:39 UTC] astembridge (Adrya Stembridge)
-Package Version: 2.5.0b3 +Package Version: 2.5.0b2
Daniel, I made a type-o in installing, and was using the b2 version. I've uninstalled that version, installed 2.5.0b3, and the deprecation errors have gone away. Thanks.
 [2011-09-30 16:40 UTC] astembridge (Adrya Stembridge)
-Status: Feedback +Status: Closed -Assigned To: +Assigned To: astembridge